// #autoload
// #name = OddMoves
// #description = 6 awesome moves :D
// #version = 1.4
// #date = 6 may 2003
// #author = Danny de Groot
// #warrior = OddBall-
// #email = dannydg1985@hotmail.com
// #web = http://www.oddballsplace.tk
// #category = OddBall

$RandomAnimation[1] = 'ChatAnimAnnoyed';
$RandomAnimation[2] = 'ChatAnimGetSome';
$RandomAnimation[3] = 'ChatAnimDance';
$RandomAnimation[4] = 'ChatAnimSalute';
$RandomAnimation[5] = 'ChatAnimWave';
$RandomAnimation[6] = 'ChatAnimSpec1';
$RandomAnimation[7] = 'ChatAnimSpec2';
$RandomAnimation[8] = 'ChatAnimSpec3';
$OddMovesSpinYaw = "1";
$OddMovesSpinSchedule = "1";
$OddMovesMatrixSpinYaw = "1";
$OddMovesMatrixSpinSchedule = "10";

package OddMoves {

//---------------------------------------------------------------------------------------------------------------
// Sit Down
//---------------------------------------------------------------------------------------------------------------
	function OddMovesSitDown(%val) {
		if (%val)
			commandToServer('PlayAnim', "sitting");
	}
//---------------------------------------------------------------------------------------------------------------
// Lie Down
//---------------------------------------------------------------------------------------------------------------
	function OddMovesLieDown(%val) {
		if (%val)
			commandToServer('PlayAnim', "scoutRoot");
	}
//---------------------------------------------------------------------------------------------------------------
// Random Animation
//---------------------------------------------------------------------------------------------------------------
	function OddMovesRandomAnimation(%val) {
		if (%val)
			commandToServer('CannedChat', $RandomAnimation[getrandom(1, 8)], false);
	}
//---------------------------------------------------------------------------------------------------------------
// Spin
//---------------------------------------------------------------------------------------------------------------
	function OddMovesSpin(%val) {
		if (%val)
			$OddMovesSpin = true;
		else
			$OddMovesSpin = false;

		OddMovesSpinDo();
	}

	function OddMovesSpinDo() {
		if ($OddMovesSpin)
		{
			yaw($OddMovesSpinYaw);
			schedule($OddMovesSpinSchedule, 0, eval, "OddMovesSpinDo();");
		}
	}
//---------------------------------------------------------------------------------------------------------------
// Crash
//---------------------------------------------------------------------------------------------------------------
	function OddMovesCrash(%val) {
		if (%val)
			$OddMovesCrash = true;
		else
			$OddMovesCrash = false;

		OddMovesCrashDo();
	}

	function OddMovesCrashDo() {
		if ($OddMovesCrash)
		{
			yaw(getrandom(1, 3000));
			pitch(getrandom(1, 3000));
			schedule(100, 0, eval, "OddMovesCrashDo();");
		}
	}
//---------------------------------------------------------------------------------------------------------------
// Matrix
//---------------------------------------------------------------------------------------------------------------
	function OddMovesMatrix(%val) {
		if (%val)
			$OddMovesMatrix = true;
		else
			$OddMovesMatrix = false;

		OddMovesMatrixSpin();
		OddMovesMatrixMove();
	}

	function OddMovesMatrixSpin() {
		if ($OddMovesMatrix)
		{
			yaw($OddMovesMatrixSpinYaw);
			schedule($OddMovesMatrixSpinSchedule, 0, eval, "OddMovesMatrixSpin();");
		}
	}

	function OddMovesMatrixMove() {
		if ($OddMovesMatrix)
			moveleft(1);
		else
			moveleft(0);
	}
//---------------------------------------------------------------------------------------------------------------
// Controls
//---------------------------------------------------------------------------------------------------------------
	function OptionsDlg::onWake(%this) {
		if (!$OddMovesbind)
		{
			$RemapName[$RemapCount]="Oddmoves - SitDown";
			$RemapCmd[$RemapCount]="OddMovesSitDown";
			$RemapCount++;
			$RemapName[$RemapCount]="Oddmoves - LieDown";
			$RemapCmd[$RemapCount]="OddMovesLieDown";
			$RemapCount++;
			$RemapName[$RemapCount]="Oddmoves - Random";
			$RemapCmd[$RemapCount]="OddMovesRandomAnimation";
			$RemapCount++;
			$RemapName[$RemapCount]="Oddmoves - Spin";
			$RemapCmd[$RemapCount]="OddMovesSpin";
			$RemapCount++;
			$RemapName[$RemapCount]="Oddmoves - Crash";
			$RemapCmd[$RemapCount]="OddMovesCrash";
			$RemapCount++;
			$RemapName[$RemapCount]="Oddmoves - Matrix";
			$RemapCmd[$RemapCount]="OddMovesMatrix";
			$RemapCount++;

			$OddMovesbind = true;
		}
		parent::onWake(%this);
	}

	function clientCmdSetPilotVehicleKeys() {
		parent::clientCmdSetPilotVehicleKeys();
		passengerKeys.copyBind(moveMap, OddMovesRandomAnimation);
		passengerKeys.copyBind(moveMap, OddMovesSpin);
		passengerKeys.copyBind(moveMap, OddMovesCrash);
		passengerKeys.copyBind(moveMap, OddMovesMatrix);
	}

	function clientCmdSetPassengerVehicleKeys() {
		parent::clientCmdSetPassengerVehicleKeys();
		passengerKeys.copyBind(moveMap, OddMovesRandomAnimation);
		passengerKeys.copyBind(moveMap, OddMovesSpin);
		passengerKeys.copyBind(moveMap, OddMovesCrash);
		passengerKeys.copyBind(moveMap, OddMovesMatrix);
	}

};
activatePackage(OddMoves);
